<?php

namespace Modules\Attribute\Interfaces;

use Illuminate\Http\Request;
use Modules\Attribute\Models\Attribute;

interface AttributeRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Attribute $attribute);
    public function save(Request $request, ?Attribute $attribute): Attribute;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
